Subject: bug#42059: 26.3; OpenBSD now has posix_openpt(3)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Jun 2020 18:36:59 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Tue, 30 Jun 2020 16:24:55 +0200
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> 
> Thank you for the detailed explanation, and I think applying your patch will be all right -- 7 years is a long time in the security-conscious OpenBSD world. It would probably need an update to the NEWS file, though.
> 
> Eli, do you have any objection to the patch by Yasuoka-san, assuming that it limits the OpenBSD support to version 5.3 or newer?
> Presumably the patch would be for Emacs 28, unless there are strong security/reliability reasons for Emacs 27.

As I wrote, I'd prefer to hear the opinions of OpenBSD maintainers, if
possible.  I don't feel we know enough about that OS to make such
decisions on our own.

Alternatively, adding a compatibility feature whereby it would be
possible to build Emacs on OpenBSD without this change, would allow us
to go ahead even without asking the OpenBSD folks.

IOW, I don't want to drop support of old OpenBSD versions so easily.

Thanks.